Ask Your Question
0

Puppet 5.5.7 major deprecation changes?

asked 2018-10-25 06:02:53 -0600

deric gravatar image

After upgrade from Puppet 5.5.6 to 5.5.7 I'm hitting a strange error:

Could not evaluate: undefined method `split' for ["www-data"]:Array

that might be connected to Custom Type provider, though I can't find any usage of split function in my codebase. Any idea what could cause such error? The changelog doesn't suggest major changes.

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
1

answered 2018-11-08 08:31:33 -0600

deric gravatar image

The issue was related to modified function for getting members of a group. The issue has been fixed in Puppet 5.5.8, that has been released shortly after 5.5.7.

https://tickets.puppetlabs.com/browse...

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2018-10-25 06:02:53 -0600

Seen: 147 times

Last updated: Nov 08